Represents a Lease Contract Break Clause in SOFT4Spaces. A break clause specifies a date on which the lease contract can be terminated early and the date by which the notice has to be given. On the Lease Contract Card, these records are shown in the Break Clauses section.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| lease |
businesscentralPrefix/ |
Methods
| Method | Return Type | Description |
| GET lease |
lease |
Gets lease contract break clause objects. |
| GET lease |
lease |
Gets a lease contract break clause object. |
| POST lease |
lease |
Creates a lease contract break clause object. |
| PATCH lease |
lease |
Updates a lease contract break clause object. |
| DELETE lease |
none | Deletes a lease contract break clause object. |
GET leaseContractBreakClauses
Description
Retrieves existing lease contract break clause records from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract break clause records.
Example Response
JSON
|
{ "value": [ { "id": "3f6c1a10-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "breakOptionDate": "2027-12-31", "noticeDay": "2027-06-30", "description": "Break option after 3 years", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" }, { "id": "4a8d2c51-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "breakOptionDate": "2029-12-31", "noticeDay": "2029-06-30", "description": "Break option after 5 years", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } ] } |
GET leaseContractBreakClause
Description
Retrieves an existing lease contract break clause record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract break clause record.
Example Response
JSON
|
{ "id": "3f6c1a10-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "breakOptionDate": "2027-12-31", "noticeDay": "2027-06-30", "description": "Break option after 3 years", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } |
GET [filter] leaseContractBreakClauses
Description
Retrieves the lease contract break clause records of a specific lease contract.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the lease contract break clause records of the lease contract.
POST leaseContractBreakClause
Description
Creates a new lease contract break clause in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide a JSON object with lease contract break clause data.
JSON
|
{ "leaseContractNo": "LC00001", "breakOptionDate": "2027-12-31", "noticeDay": "2027-06-30", "description": "Break option after 3 years" } |
Response
Returns a 201 Created status code and the created lease contract break clause object.
PATCH leaseContractBreakClause
Description
Updates an existing lease contract break clause in Business Central.
HTTP Request
PATCH
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide the fields of the lease contract break clause to be updated.
JSON
|
{ "noticeDay": "2027-09-30" } |
Response
Returns a 200 OK status code and the updated object.
DELETE leaseContractBreakClause
Description
Deletes an existing lease contract break clause from Business Central.
HTTP Request
DELETE
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 204 No Content status code.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the lease contract break clause. Non-editable. |
| leaseContractNo | string | Specifies the number of the lease contract to which the break clause belongs. |
| breakOptionDate | date | Specifies the date on which the break option can be exercised. |
| noticeDay | date | Specifies the date by which the break notice has to be given. Note: this is a date, not a number of days. |
| description | string | Specifies the description of the break clause. |
| systemCreatedAt | datetime | The datetime the lease contract break clause was created. |
| systemCreatedBy | GUID | The ID of the user who created the lease contract break clause. |
| systemModifiedAt | datetime | The last datetime the lease contract break clause was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the lease contract break clause. |
JSON Representation
|
{ "id": "GUID", "leaseContractNo": "string", "breakOptionDate": "date", "noticeDay": "date", "description": "string", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |